Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.utils
Class JSMArrayString

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<E>
                  org.one2team.utils.JSMArray<java.lang.String>
                      org.one2team.utils.JSMArrayString

All Implemented Interfaces:
  Array<java.lang.String>, ArrayString, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<java.lang.String>, java.util.Collection<java.lang.String>, java.util.List<java.lang.String>, java.util.RandomAccess, org.mozilla.javascript.Scriptable

Direct Known Subclasses:
  JSMSeries.JSMCenter

    public class JSMArrayString

extends JSMArray<java.lang.String>
implements ArrayString

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`JSMArrayString()`

Method Summary
`java.lang.String` | `join()`
`java.lang.String` | `join(java.lang.String separator)`
`JSMArrayString` | `pushString(java.lang.String value)`
`void` | `setLength(int newLength)`
`ArrayString` | `setString(int index, java.lang.String value)`
`java.lang.String` | `shiftItem()`
`void` | `unshiftItem(java.lang.String value)`

Methods inherited from class org.one2team.utils.JSMArray
`delete, delete, get, get, getClassName, getDefaultValue, getIds, getItem, getLength, getParentScope, getPrototype, has, has, hasInstance, length, pushElement, pushItem, put, put, setElement, setItem, setParentScope, setPrototype`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gwt.shared.ArrayString
`getItem, length, pushItem, setItem`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### JSMArrayString

    public JSMArrayString()

Method Detail

### join

    public java.lang.String join()

  Specified by:
    `join` in interface `ArrayString`

### join

    public java.lang.String join(java.lang.String separator)

  Specified by:
    `join` in interface `ArrayString`

### pushString

    public JSMArrayString pushString(java.lang.String value)

  Specified by:
    `pushString` in interface `ArrayString`

### setString

    public ArrayString setString(int index,
                                 java.lang.String value)

  Specified by:
    `setString` in interface `ArrayString`

### setLength

    public void setLength(int newLength)

  Specified by:
    `setLength` in interface `ArrayString`

### shiftItem

    public java.lang.String shiftItem()

  Specified by:
    `shiftItem` in interface `ArrayString`

### unshiftItem

    public void unshiftItem(java.lang.String value)

  Specified by:
    `unshiftItem` in interface `ArrayString`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD